# FormTriggers

> List the triggers (when to show) for the given forms. Read access, forms toolset, MCP tool get_form_triggers. Part of the MISSIN public API: call it with an…

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `formRowIds` | `[UUID!]!` | yes |  | Included in the specified list. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"FormTriggers","variables":{"formRowIds":[]},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"c1f42b5f26d1b0faa0377b7f52c00d81856dcbe17cbef485858929248a3dd40f"}}}'
```

## Document

```graphql
query FormTriggers($formRowIds: [UUID!]!) { __typename allFormTriggers(filter: {formByFormId: {rowId: {in: $formRowIds}}}) { __typename nodes { __typename formId id params rowId type } } }
```

Source: https://developer.missin.co.uk/reference/forms/form-triggers
